libunibreak: Data Fields

Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

### - a -

- ARRAY_LEN : wordbreak.c

### - b -

- baTable : linebreak.c
- BreakAction : linebreak.c

### - c -

- CMI_BRK : linebreak.c
- CMP_BRK : linebreak.c

### - d -

- DIR_BRK : linebreak.c

### - e -

- EOS : linebreakdef.h

### - g -

- get_char_lb_class() : linebreak.c
- get_char_lb_class_default() : linebreak.c
- get_char_lb_class_lang() : linebreak.c
- get_char_wb_class() : wordbreak.c
- get_lb_prop_lang() : linebreak.c
- get_next_char_t : linebreakdef.h

### - i -

- IND_BRK : linebreak.c
- init_linebreak() : linebreak.c , linebreak.h
- init_wordbreak() : wordbreak.c , wordbreak.h
- is_line_breakable() : linebreak.c , linebreak.h
- IS_WB3ab : wordbreak.c

### - l -

- lb_get_next_char_utf16() : linebreak.c , linebreakdef.h
- lb_get_next_char_utf32() : linebreakdef.h , linebreak.c
- lb_get_next_char_utf8() : linebreak.c , linebreakdef.h
- lb_prop_Chinese : linebreakdef.c
- lb_prop_default : linebreakdata.c , linebreakdef.h
- lb_prop_English : linebreakdef.c
- lb_prop_French : linebreakdef.c
- lb_prop_German : linebreakdef.c
- lb_prop_index : linebreak.c
- lb_prop_lang_map : linebreakdef.c , linebreakdef.h
- lb_prop_Russian : linebreakdef.c
- lb_prop_Spanish : linebreakdef.c
- LBP_AI : linebreakdef.h
- LBP_AL : linebreakdef.h
- LBP_B2 : linebreakdef.h
- LBP_BA : linebreakdef.h
- LBP_BB : linebreakdef.h
- LBP_BK : linebreakdef.h
- LBP_CB : linebreakdef.h
- LBP_CJ : linebreakdef.h
- LBP_CL : linebreakdef.h
- LBP_CM : linebreakdef.h
- LBP_CP : linebreakdef.h
- LBP_CR : linebreakdef.h
- LBP_EX : linebreakdef.h
- LBP_GL : linebreakdef.h
- LBP_H2 : linebreakdef.h
- LBP_H3 : linebreakdef.h
- LBP_HL : linebreakdef.h
- LBP_HY : linebreakdef.h
- LBP_ID : linebreakdef.h
- LBP_IN : linebreakdef.h
- LBP_IS : linebreakdef.h
- LBP_JL : linebreakdef.h
- LBP_JT : linebreakdef.h
- LBP_JV : linebreakdef.h
- LBP_LF : linebreakdef.h
- LBP_NL : linebreakdef.h
- LBP_NS : linebreakdef.h
- LBP_NU : linebreakdef.h
- LBP_OP : linebreakdef.h
- LBP_PO : linebreakdef.h
- LBP_PR : linebreakdef.h
- LBP_QU : linebreakdef.h
- LBP_RI : linebreakdef.h
- LBP_SA : linebreakdef.h
- LBP_SG : linebreakdef.h
- LBP_SP : linebreakdef.h
- LBP_SY : linebreakdef.h
- LBP_Undefined : linebreakdef.h
- LBP_WJ : linebreakdef.h
- LBP_XX : linebreakdef.h
- LBP_ZW : linebreakdef.h
- LINEBREAK_ALLOWBREAK : linebreak.h
- LINEBREAK_INDEX_SIZE : linebreak.c
- LINEBREAK_INSIDEACHAR : linebreak.h
- LINEBREAK_MUSTBREAK : linebreak.h
- LINEBREAK_NOBREAK : linebreak.h
- linebreak_version : linebreak.c
- LINEBREAK_VERSION : linebreak.h
- linebreak_version : linebreak.h
- LineBreakClass : linebreakdef.h

### - m -

- main() : filter_dup.c

### - p -

- PRH_BRK : linebreak.c

### - r -

- resolve_lb_class() : linebreak.c

### - s -

- set_brks_to() : wordbreak.c
- set_linebreaks() : linebreak.c , linebreakdef.h
- set_linebreaks_utf16() : linebreak.c , linebreak.h
- set_linebreaks_utf32() : linebreak.c , linebreak.h
- set_linebreaks_utf8() : linebreak.c , linebreak.h
- set_wordbreaks() : wordbreak.c
- set_wordbreaks_utf16() : wordbreak.c , wordbreak.h
- set_wordbreaks_utf32() : wordbreak.c , wordbreak.h
- set_wordbreaks_utf8() : wordbreak.c , wordbreak.h

### - u -

- utf16_t : linebreak.h
- utf32_t : linebreak.h
- utf8_t : linebreak.h

### - w -

- wb_prop_default : wordbreakdata.c
- WBP_ALetter : wordbreakdef.h
- WBP_Any : wordbreakdef.h
- WBP_CR : wordbreakdef.h
- WBP_Extend : wordbreakdef.h
- WBP_ExtendNumLet : wordbreakdef.h
- WBP_Format : wordbreakdef.h
- WBP_Katakana : wordbreakdef.h
- WBP_LF : wordbreakdef.h
- WBP_MidLetter : wordbreakdef.h
- WBP_MidNum : wordbreakdef.h
- WBP_MidNumLet : wordbreakdef.h
- WBP_Newline : wordbreakdef.h
- WBP_Numeric : wordbreakdef.h
- WBP_Regional : wordbreakdef.h
- WBP_Undefined : wordbreakdef.h
- WORDBREAK_BREAK : wordbreak.h
- WORDBREAK_INSIDEACHAR : wordbreak.h
- WORDBREAK_NOBREAK : wordbreak.h
- WordBreakClass : wordbreakdef.h